org.springframework.web.reactive.function.server

## Interface HandlerStrategies

-     public interface HandlerStrategies

  Defines the strategies to be used for processing `HandlerFunctions`.

  An instance of this class is immutable. Instances are typically created through the mutable `HandlerStrategies.Builder`: either through `builder()` to set up default strategies, or `empty()` to start from scratch.

  Since:
    5.0
  Author:
    Arjen Poutsma, Juergen Hoeller, Sebastien Deleuze
  See Also:
    `RouterFunctions.toHttpHandler(RouterFunction, HandlerStrategies)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HandlerStrategies.Builder` A mutable builder for a `HandlerStrategies`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HandlerStrategies.Builder` | `builder()` Return a mutable builder for a `HandlerStrategies` with default initialization.
    `static HandlerStrategies.Builder` | `empty()` Return a mutable, empty builder for a `HandlerStrategies`.
    `List<WebExceptionHandler>` | `exceptionHandlers()` Return the `WebExceptionHandlers` to be used for handling exceptions.
    `LocaleContextResolver` | `localeContextResolver()` Return the `LocaleContextResolver` to be used for resolving locale context.
    `List<HttpMessageReader<?>>` | `messageReaders()` Return the `HttpMessageReaders` to be used for request body conversion.
    `List<HttpMessageWriter<?>>` | `messageWriters()` Return the `HttpMessageWriters` to be used for response body conversion.
    `List<ViewResolver>` | `viewResolvers()` Return the `ViewResolvers` to be used for view name resolution.
    `List<WebFilter>` | `webFilters()` Return the `WebFilters` to be used for filtering the request and response.
    `static HandlerStrategies` | `withDefaults()` Return a new `HandlerStrategies` with default initialization.

- - ### Method Detail

    - #### messageReaders

          List<HttpMessageReader<?>> messageReaders()

      Return the `HttpMessageReaders` to be used for request body conversion.
      Returns:
        the message readers

    - #### messageWriters

          List<HttpMessageWriter<?>> messageWriters()

      Return the `HttpMessageWriters` to be used for response body conversion.
      Returns:
        the message writers

    - #### viewResolvers

          List<ViewResolver> viewResolvers()

      Return the `ViewResolvers` to be used for view name resolution.
      Returns:
        the view resolvers

    - #### webFilters

          List<WebFilter> webFilters()

      Return the `WebFilters` to be used for filtering the request and response.
      Returns:
        the web filters

    - #### exceptionHandlers

          List<WebExceptionHandler> exceptionHandlers()

      Return the `WebExceptionHandlers` to be used for handling exceptions.
      Returns:
        the exception handlers

    - #### localeContextResolver

          LocaleContextResolver localeContextResolver()

      Return the `LocaleContextResolver` to be used for resolving locale context.
      Returns:
        the locale context resolver

    - #### withDefaults

          static HandlerStrategies withDefaults()

      Return a new `HandlerStrategies` with default initialization.
      Returns:
        the new `HandlerStrategies`

    - #### builder

          static HandlerStrategies.Builder builder()

      Return a mutable builder for a `HandlerStrategies` with default initialization.
      Returns:
        the builder

    - #### empty

          static HandlerStrategies.Builder empty()

      Return a mutable, empty builder for a `HandlerStrategies`.
      Returns:
        the builder